#ifndef SAMPLEGENERATOR_HXX
#define SAMPLEGENERATOR_HXX

class SampleGenerator
{
public:
	virtual void GetSamples(int n, float *u, float *v, float *weight) = 0;

	virtual ~SampleGenerator(){};
};

#endif
